Update a specific retrospective configuration by id
curl --request PUT \
--url https://api.rootly.com/v1/retrospective_configurations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "retrospective_configurations",
"attributes": {
"severity_ids": [
"<string>"
],
"group_ids": [
"<string>"
],
"incident_type_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "f98cd797-7658-4aff-889d-6acc61d0e92b",
"type": "retrospective_configurations",
"attributes": {
"kind": "skip",
"severity_ids": [],
"incident_type_ids": [],
"group_ids": [
"a115c315-a5be-47c0-bf76-48e5b1af75b5"
],
"created_at": "2026-02-13T18:09:28.172-08:00",
"updated_at": "2026-02-13T18:09:28.172-08:00"
},
"relationships": {
"severities": {
"data": []
},
"groups": {
"data": [
{
"id": "a115c315-a5be-47c0-bf76-48e5b1af75b5",
"type": "groups"
}
]
},
"incident_types": {
"data": []
}
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
retrospective configuration updated
Show child attributes
Was this page helpful?
curl --request PUT \
--url https://api.rootly.com/v1/retrospective_configurations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "retrospective_configurations",
"attributes": {
"severity_ids": [
"<string>"
],
"group_ids": [
"<string>"
],
"incident_type_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "f98cd797-7658-4aff-889d-6acc61d0e92b",
"type": "retrospective_configurations",
"attributes": {
"kind": "skip",
"severity_ids": [],
"incident_type_ids": [],
"group_ids": [
"a115c315-a5be-47c0-bf76-48e5b1af75b5"
],
"created_at": "2026-02-13T18:09:28.172-08:00",
"updated_at": "2026-02-13T18:09:28.172-08:00"
},
"relationships": {
"severities": {
"data": []
},
"groups": {
"data": [
{
"id": "a115c315-a5be-47c0-bf76-48e5b1af75b5",
"type": "groups"
}
]
},
"incident_types": {
"data": []
}
}
}
}